Skip to main content
`Ctrl`+`K`

# TaoTermGetParametersSizes

Get the sizes describing the layout of the parameter vector space of a `TaoTerm`.

## Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoTermGetParametersSizes(TaoTerm term, PetscInt *k, PetscInt *K, PetscInt *bs)

Not collective

## Input Parameter

- term - a `TaoTerm`

## Output Parameters

- k - (optional) the size of a parameter vector on the current MPI process

- K - (optional) the global size of a parameter vector

- bs - (optional) the block size of a parameter vector

## See Also

TaoTerm: composable objective function terms, `TaoTerm`, `TaoTermSetParametersSizes()`, `TaoTermSetParametersTemplate()`, `TaoTermGetParametersVecType()`, `TaoTermSetParametersVecType()`, `TaoTermGetParametersLayout()`, `TaoTermSetParametersLayout()`, `TaoTermCreateParametersVec()`

## Level

beginner

## Location

src/tao/term/interface/taoterm.c

Index of all TaoTerm routines
Table of Contents for all manual pages
Index of all manual pages